package com.cloudcross.ssp.service;
import java.util.List;
import java.util.Map;

import com.cloudcross.ssp.base.service.IGenericService;
import com.cloudcross.ssp.model.Zone;
import com.cloudcross.ssp.web.widget.SelectorController.ISelector;


public interface IZoneService extends IGenericService<Zone> {
	long findByName(String name);
	String deleteById(long id);
	public List<String> findAdgroupNameByZoneIdAndSchedule(Map<String, Object> paramMap);
	//首页中通过设备查找用到，勿删
	public List<Zone> findByDevice(Integer device);
	/**
	 * 根据设备和场景id查询广告位信息
	 * @author chenyou
	 */
	List<Zone> findByDeviceAndPlaceId(Map<String, Object> paramMap);
	public Zone findZone(Long zoneId);
	public List<Zone> findByOperatorId(Integer operatorId);
	List<Zone> findDeliverEffectAnalysis(Map<String, Object> paramMap);
	//public AjaxResult fileUpload(HttpServletRequest request,HttpServletResponse response);
	//原back
	public List<Zone> findByOperatorId(Long operatorId);
	int countByParamsBack(Map<String, Object> paramMap);
	Zone findByIdBack(Long id);
	List<Zone> findByOperatorIdBack(Integer operatorId);
	Map<String, List<? extends ISelector>> provideDataBack(String[] parentId);
	
	//根据媒体ID查询广告位
	List<Zone> queryZoneByCondition(Map<String,Object>conditon);
	
	
}
